
package de.ivu.elect.business.stimmeingabe.boundary.referendum;

import de.ivu.elect.business.stimmeingabe.boundary.AbstractStimmeingabeErfassenDescription;
import de.ivu.elect.business.stimmeingabe.control.StimmeingabePlausiBuilder;

public abstract class AbstractReferendumVorlageStimmeingabeErfassenDescription extends AbstractStimmeingabeErfassenDescription {

  private static final long serialVersionUID = 1L;

  public AbstractReferendumVorlageStimmeingabeErfassenDescription() {
    super();
  }

  @Override
  public boolean isReferendumOptionStimmenErfassen() {
    return true;
  }

  @Override
  public boolean isGruppeStimmenErfassen() {
    return false; // Cf. AbstractReferendumVorlageStimmeingabeErfassenDescription#isReferendumOptionStimmenErfassen!
  }

  @Override
  public StimmeingabePlausiBuilder getStimmeingabePlausiBuilder() {
    // NOTE ELECT-6203, dass der konkrete StimmeingabePlausiBuilder immer noch kundenspezifisch überschrieben werden muss!
    return StimmeingabePlausiBuilder.NO_OP_BUILDER;
  }
}
